### Method

# Camel StoreSearch add_match_threads_items_sync

since: 3.58

#### Declaration [src]

    gboolean
    camel_store_search_add_match_threads_items_sync (
      CamelStoreSearch* self,
      GPtrArray** inout_items,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Adds `CamelStoreSearchThreadItem` items into the location pointed to by the `inout_items` array. When it points to the `NULL`, the array is created if needed. Free the array with g_ptr_array_unref(), when no longer needed.

See camel_store_search_get_match_threads_kind().

Available since: 3.58

#### Parameters

`inout_items`

  Type: An array of `None`

  A `GPtrArray` to add the items to.

  The argument will be modified by the function.
  The caller of the method takes ownership of the returned data container, but not the data inside it.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded; note the `inout_items` can be still set, even when the call failed.